﻿Public Class frmCSV

    Private Sub frm_CSV_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub

    Private Sub btn_Openfile_Click(sender As Object, e As EventArgs) Handles btn_Openfile.Click
        ' OpenFileDialog erstellen und konfigurieren
        Dim openFileDialog As New OpenFileDialog()
        openFileDialog.Filter = "CSV-Dateien (*.csv)|*.csv"
        openFileDialog.Title = "CSV-Datei auswählen"

        ' Dialog anzeigen und warten, bis eine Datei ausgewählt wurde
        If openFileDialog.ShowDialog() = DialogResult.OK Then
            Try
                '-----------------------------------
                Try
                    ' DataTable erstellen
                    Dim dataTable As New DataTable()

                    ' CSV-Datei importieren
                    Using reader As New StreamReader(openFileDialog.FileName)
                        ' Headerzeile einlesen
                        Dim header As String() = reader.ReadLine().Split(","c)

                        ' Spaltennamen in DataTable hinzufügen
                        For Each columnName As String In header
                            If Not dataTable.Columns.Contains(columnName) Then
                                dataTable.Columns.Add(columnName)
                            Else
                                Dim newColumnName As String = columnName & "_2"
                                dataTable.Columns.Add(newColumnName)
                            End If
                        Next

                        ' Daten aus CSV-Datei in DataTable importieren
                        While Not reader.EndOfStream
                            Dim line As String() = reader.ReadLine().Split(","c)
                            Dim row As DataRow = dataTable.NewRow()

                            For i As Integer = 0 To header.Length - 1
                                row(i) = line(i)
                            Next

                            dataTable.Rows.Add(row)
                        End While
                    End Using

                    ' DataTable an DataGridView binden
                    DGV_Data.DataSource = dataTable
                Catch ex As Exception
                    MessageBox.Show("Fehler beim Laden der CSV-Datei: " & ex.Message, "Fehler", MessageBoxButtons.OK, MessageBoxIcon.Error)
                End Try
                '-----------------------------------
            Catch ex As Exception
                MessageBox.Show("Fehler beim Laden der CSV-Datei: " & ex.Message, "Fehler", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End Try
        End If
    End Sub
End Class